%global pypi_name pydigitalstrom

Name:           python-%{pypi_name}
Version:        1.4.0
Release:        1%{?dist}
Summary:        Python API client for digitalSTROM

License:        MIT
URL:            https://github.com/lociii/pydigitalstrom
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A Python API client for digitalSTROM.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(aioresponses)
BuildRequires:  python3dist(aiounittest)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python API client for digitalSTROM.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%pytest -v tests

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}/
%exclude %{python3_sitelib}/tests
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Oct 19 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- Initial package for Fedora
